extends Node2D

var bullet = preload("res://Scenes/bullet.tscn")
var bulletArray =[]
var totalAllowedBullets = 7

#makes bullets
func bulletFactory():
	var mybullet
	if bulletArray.size() < totalAllowedBullets:
		#make a new bullet
		mybullet = bullet.instantiate()
		owner.add_child(mybullet)
	else:
		#recycle bullet
		mybullet = bulletArray.pop_back()
		
	bulletArray.push_front(mybullet)
	return mybullet
	
#order desk
func makeBullet(position, speed):
	print("Scenemanger orders a bullet")
	#ask the factory for a bullet
	var mybullet = bulletFactory()
	#set the speed for the bullet
	mybullet.setSpeed(speed)
	#position the bullet
	mybullet.transform = position
	
